跳转到内容

Sonilo V1.1 Text to Sound Effects

集成

模型 id sonilo/v1.1/text-to-sound-effects
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/sonilo/v1.1/text-to-sound-effects?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

与示例类似的文件: $0.015 15 API 积分 · ≈ ₽1.61 运行前会测量你的文件 在此页面运行

获取 API 密钥
Sonilo · 音频

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

所需声音的描述。

默认 8

音频长度,以秒为单位,范围为 0.5 到 180。

高级 audio_format
audio_format 默认 aac

音频文件格式:选择 aac、mp3、wav 或 flac;默认值为 aac。

POST /run/sonilo/v1.1/text-to-sound-effects?wait=20 报价 → $0.015
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/sonilo/v1.1/text-to-sound-effects?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Sonilo V1.1 Text to Sound Effects

根据描述类型、质感和强度的 `prompt` 生成音效。`duration` 范围为 0.5 到 180 秒(默认 8)。`audio_format` 选择 wav、mp3、aac 或 flac,默认值为 aac。

参数

名称类型 默认值允许值 描述
prompt必填
类型string
所需声音的描述。
duration可选
类型number
默认值8
0.5 – 180
音频长度,以秒为单位,范围为 0.5 到 180。
audio_format可选
类型enum
默认值aac
wavmp3aacflac
音频文件格式:选择 aac、mp3、wav 或 flac;默认值为 aac。
必填

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "sonilo/v1.1/text-to-sound-effects",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 15,
    "usd": "0.015",
    "charged": 15,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "audios": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
        "content_type": "audio/mpeg",
        "file_name": "0-output.mp3",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
audio
object {url, content_type, file_name, file_size}以所选音频格式编码的生成声音。
audios
array of object {url, content_type, file_name, file_size}生成声音的完整集合,每个样本对应一个声音。

更多模型:音频

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/sonilo/v1.1/text-to-sound-effects.md. 所有模型和指南: https://doitong.com/developers/llms.txt